
proc read_file {fileName} {
	if {[catch {
		set fd [open $fileName "r"]
		set contents [read $fd]
		close $fd
	} err]} {
		puts stderr $err
		exit 1
	}
	return $contents
}

proc write_file {fileName contents} {
	if {[catch {
		set fd [open $fileName "w"]
		puts -nonewline $fd $contents
		close $fd
	} err]} {
		puts stderr $err
		exit 1
	}
}

#--------
# Mainline
#--------
set prog [file tail $argv0]
if {$argc != 2} {
	puts stderr "\nusage: tclsh $prog file.html title "
	exit 1
}
set fileName  [lindex $argv 0]
set titleText [lindex $argv 1]

set contents [read_file $fileName]

regsub  {<TITLE>.*</TITLE>} $contents "" contents

set map_list [list "</HEAD>" "<title>$titleText</title>\n</HEAD>" ]
set contents [string map $map_list $contents]

write_file $fileName $contents
